Page MenuHomePhabricator

MFA: mobile.special.watchlist.scripts is built via Webpack
Closed, ResolvedPublic5 Story Points

Description

mobile.special.watchlist.scripts makes use of the mobile.watchlist module. Nothing else makes use of this module, thus it makes sense to merge it into the mobile.special.watchlist.scripts module

Note: mobile.watchlist has dependencies on mobile.startup and mobile.scrollEndEventEmitter. These modules will be retained during this change and these dependencies copied to the merged entry point to keep this tightly scoped. Given a usage in category overlay, it is not trivial to merge in mobile.scrollEndEventEmitter.

Acceptance criteria

  • The code in mobile.special.watchlist.scripts is built via webpack
  • The code in mobile.startup has not grown in any substantial way. Consider introducing a new module mobile.special.scripts (to mirror mobile.special.styles) modules if this becomes a problem that can be shared across all special pages.
  • The module mobile.watchlist has been removed (no need to worry about caching!).
  • The tests in mobile.watchlist are run inside webpack
  • mobile.special.watchlist.scripts has dependencies mobile.scrollEndEventEmitter and mobile.startup

Sign off steps

We have now ported our first special page JavaScript module to webpack! \o/

  • Progress is updated.
  • Create task for porting mobile.special.mobileoptions.scripts, mobile.special.mobilediff.scripts and mobile.special.userlogin.scripts to webpack (no deps) - T213112
  • Create task for mobile.special.uploads.scripts (mobile.gallery, mobile.scrollEndEventEmitter)
  • Create task for mobile.special.nearby.scripts (mobile.nearby, mobile.messageBox, mobile.foreignApi)

Event Timeline

Restricted Application added subscribers: Gilles, Aklapper. · View Herald TranscriptJan 3 2019, 12:08 AM
Jdlrobson renamed this task from mobile.special.watchlist.scripts is built via Webpack to MFA: mobile.special.watchlist.scripts is built via Webpack.Jan 3 2019, 12:35 AM
Jdlrobson triaged this task as High priority.Jan 7 2019, 6:16 PM
Jdlrobson updated the task description. (Show Details)Jan 7 2019, 8:10 PM
Jdlrobson updated the task description. (Show Details)Jan 7 2019, 8:13 PM
Jdlrobson updated the task description. (Show Details)Jan 9 2019, 4:00 PM

Change 483285 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Build mobile.special.watchlist.scripts with Webpack

https://gerrit.wikimedia.org/r/483285

Change 483622 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Collapse mobile.scrollEndEventEmitter into mobile.startup

https://gerrit.wikimedia.org/r/483622

Change 483622 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Collapse mobile.scrollEndEventEmitter into mobile.startup

https://gerrit.wikimedia.org/r/483622

Change 483818 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Reduce reliance on 'fresh' imports in CtaDrawer and Watchstar tests

https://gerrit.wikimedia.org/r/483818

Change 483818 abandoned by Nray:
Reduce reliance on 'fresh' imports in CtaDrawer and Watchstar tests

Reason:
Jon came up with better approach!

https://gerrit.wikimedia.org/r/483818

Change 483285 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Build mobile.special.watchlist.scripts with Webpack

https://gerrit.wikimedia.org/r/483285

nray removed nray as the assignee of this task.Jan 11 2019, 10:23 PM
nray added a subscriber: nray.
Jdlrobson updated the task description. (Show Details)Jan 16 2019, 1:25 AM
Jdlrobson updated the task description. (Show Details)
Jdrewniak closed this task as Resolved.Jan 17 2019, 11:37 PM
Jdrewniak updated the task description. (Show Details)